package eu.openaire.urls_controller.components;


import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
@ConfigurationProperties(prefix = "bulkimport")
public class BulkImport {

    private String baseBulkImportLocation;

    private String bulkImportReportLocation;

    private Map<String, BulkImportSource> bulkImportSources;

    public BulkImport() {
    }

    public String getBaseBulkImportLocation() {
        return baseBulkImportLocation;
    }

    public void setBaseBulkImportLocation(String baseBulkImportLocation) {
        this.baseBulkImportLocation = baseBulkImportLocation;
    }

    public String getBulkImportReportLocation() {
        return bulkImportReportLocation;
    }

    public void setBulkImportReportLocation(String bulkImportReportLocation) {
        this.bulkImportReportLocation = bulkImportReportLocation;
    }

    public Map<String, BulkImportSource> getBulkImportSources() {
        return bulkImportSources;
    }

    public void setBulkImportSources(Map<String, BulkImportSource> bulkImportSources) {
        this.bulkImportSources = bulkImportSources;
    }

    @Override
    public String toString() {
        return "BulkImport{" +
                "baseBulkImportLocation='" + baseBulkImportLocation + '\'' +
                ", bulkImportReportLocation='" + bulkImportReportLocation + '\'' +
                ", bulkImportSources=" + bulkImportSources +
                '}';
    }


    public static class BulkImportSource {
        String datasourceID;
        String datasourcePrefix;
        String pdfUrlPrefix;
        String mimeType;


        public BulkImportSource() {
        }


        public String getDatasourceID() {
            return datasourceID;
        }

        public void setDatasourceID(String datasourceID) {
            this.datasourceID = datasourceID;
        }

        public String getDatasourcePrefix() {
            return datasourcePrefix;
        }

        public void setDatasourcePrefix(String datasourcePrefix) {
            this.datasourcePrefix = datasourcePrefix;
        }

        public String getPdfUrlPrefix() {
            return pdfUrlPrefix;
        }

        public void setPdfUrlPrefix(String pdfUrlPrefix) {
            this.pdfUrlPrefix = pdfUrlPrefix;
        }

        public String getMimeType() {
            return mimeType;
        }

        public void setMimeType(String mimeType) {
            this.mimeType = mimeType;
        }


        @Override
        public String toString() {
            return "BulkImportSource{" +
                    "datasourceID='" + datasourceID + '\'' +
                    ", datasourcePrefix='" + datasourcePrefix + '\'' +
                    ", pdfUrlPrefix='" + pdfUrlPrefix + '\'' +
                    ", mimeType='" + mimeType + '\'' +
                    '}';
        }
    }

}
