package eu.openaire.urls_controller.util;

import java.text.SimpleDateFormat;
import java.util.Date;

public class GenericUtils {

    private static final SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd 'at' HH:mm:ss.SSS z");

    public static String getReadableCurrentTimeAndZone() {
        return (simpleDateFormat.format(new Date(System.currentTimeMillis())));
    }


    public static int getRandomNumber(int min, int max) {
        return (int)(Math.random() * (max - min +1) + min);
    }


    public static String getSelectiveStackTrace(Throwable thr, String initialMessage, int numOfLines)
    {
        StackTraceElement[] stels = thr.getStackTrace();
        StringBuilder sb = new StringBuilder(numOfLines *100);
        if ( initialMessage != null )
            sb.append(initialMessage).append(" Stacktrace:").append("\n");	// This StringBuilder is thread-safe as a local-variable.
        for ( int i = 0; (i < stels.length) && (i <= numOfLines); ++i ) {
            sb.append(stels[i]);
            if (i < numOfLines) sb.append("\n");
        }
        return sb.toString();
    }

}
